%define realname django-filter

Name:           python-%{realname}
Version:        0.11.0
Release:        %mkrel 2
Summary:        A Django application for allowing users to filter queryset dynamically
Group:          Development/Python
License:        BSD
URL:            http://pypi.python.org/pypi/django-filter
Source:         https://pypi.python.org/packages/source/d/%{realname}/%{realname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools
BuildRequires:  python-django-discover-runner
BuildRequires:  python-mock
BuildRequires:  python-django
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
BuildRequires:  python3-django-discover-runner
BuildRequires:  python3-mock
Buildrequires:  python3-django
Requires:       python-django

%description
Django-filter provides a simple way to filter down a queryset based on
parameters a user provides.

%package -n python3-django-filter
Summary:        A Django application for allowing users to filter queryset dynamically
Group:          Development/Python
Requires:       python3-django

%description -n python3-django-filter
Django-filter provides a simple way to filter down a queryset based on
parameters a user provides.
This is a Python 3 build of django-filter.

%prep
%setup -q -n %{realname}-%{version}
find . -name \*._* -exec rm {} +
find . -name \*.buildinfo* -exec rm {} +
cp -a . %{py3dir}

%build
%py2_build
pushd %{py3dir}
%py3_build
popd

%install
%py2_install
pushd %{py3dir}
%py3_install
popd

%check
# this test fail on BS, have to investigate
rm tests/test_filters.py
%{__python2} runtests.py
pushd %{py3dir}
# this test fail on BS, have to investigate
rm tests/test_filters.py
%{__python3} runtests.py
popd

%files
%doc CHANGES.rst README.rst docs/
%license LICENSE
%{python2_sitelib}/django_filters
%{python2_sitelib}/django_filter-%{version}-py?.?.egg-info

%files -n python3-django-filter
%doc CHANGES.rst README.rst docs/
%license LICENSE
%{python3_sitelib}/django_filters
%{python3_sitelib}/django_filter-%{version}-py?.?.egg-info



%changelog
* Sat Feb 20 2016 umeabot <umeabot> 0.11.0-2.mga6
+ Revision: 971240
- Mageia 6 Mass Rebuild

* Mon Oct 12 2015 philippem <philippem> 0.11.0-1.mga6
+ Revision: 890094
- fix BR for tests, disable one
- fix typo in BR
- update to 0.11.0, add Python3

* Wed Oct 15 2014 umeabot <umeabot> 0.7-7.mga5
+ Revision: 739544
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.7-6.mga5
+ Revision: 728282
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.7-5.mga5
+ Revision: 687978
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.7-3.mga4
+ Revision: 543244
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.7-2.mga4
+ Revision: 498370
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Aug 26 2013 philippem <philippem> 0.7-1.mga4
+ Revision: 472012
- update to 0.7

* Sun Jan 13 2013 umeabot <umeabot> 0.5.3-2.mga3
+ Revision: 378674
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 27 2011 ahmad <ahmad> 0.5.3-1.mga1
+ Revision: 42374
- imported package python-django-filter


* Tue Nov 02 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.5.3-1mdv2011.0
+ Revision: 591971
- import python-django-filter

